
rgw - Bug #10667

Success code returned by rgw for POST request on container is 202 but swift returns 204.

01/28/2015 10:45 AM - Ahmad Faheem

Status: Resolved % Done: 0%

Priority: Low Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Community (user) Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Swift response:

curl -i http://10.0.2.15:8080/v1/AUTH_b2419ea9588d49ddbd8c006b5eb199ff/container -X POST -H "X-Auth-Token:

1bdd9fd9c40845a3b4efb81d5d93abe3"

HTTP/1.1 204 No Content

Content-Length: 0

Content-Type: text/html; charset=UTF-8

X-Trans-Id: txdae39e0f75a64a0da68af-0054c82eb6

Date: Wed, 28 Jan 2015 00:35:02 GMT

 

Response returned by RGW:

curl -i https://10.20.20.15:80/swift/v1/container -X POST -H "X-Auth-Token: c12140163cce491e9aed7165796f1f02"

HTTP/1.1 202 Accepted

Date: Wed, 28 Jan 2015 10:37:15 GMT

Server: Apache/2.4.7 (Ubuntu)

Access-Control-Allow-Origin: *

Content-Type: application/octet-stream

Connection: close

Transfer-Encoding: chunked

Associated revisions

Revision a0a5185b - 01/30/2015 12:00 PM - Yuan Zhou

rgw: Response 204 when post on containers

Currently POST request on container returns 202 if success. But in Swift

the code is 204. Let's use 204 to keep align with the Swift API.

Fixes #10667

Signed-off-by: Yuan Zhou <yuan.zhou@intel.com>
History

#1 - 01/30/2015 04:53 PM - Yehuda Sadeh

- Status changed from New to Resolved

- Source changed from Q/A to Community (user)

Fixed by commit:a0a5185b6bf527c51f08690bbdd929dfed25fcca

Powered by TCPDF (www.tcpdf.org)

04/03/2024 2/2

http://www.tcpdf.org

